package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.ChargeTypeSubjectMapper;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ChargeTypeSubjectMapperDao extends BaseDAO<Long, ChargeTypeSubjectMapper> {

    /**
     * 删除当前收费类型关联的科目
     */
    void deleteByChargeTypeId(Integer chargeTypeId);

    /**
     * 批量新增
     * @param subjectIds
     * @param chargeTypeId
     */
    void batchAdd(@Param("subjectIds") List<Integer> subjectIds, @Param("chargeTypeId")Integer chargeTypeId);
}