package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.StudentApplyRefunds;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface StudentApplyRefundsDao extends BaseDAO<Long, StudentApplyRefunds> {

    /**
     * @describe 检测对应课程是否存在退课申请
     * @author Joburgess
     * @date 2019/11/10
     * @param musicGroupIds: 乐团编号列表
     * @return java.util.List<java.util.Map<java.lang.String,java.lang.Integer>>
     */
    List<Map<String,Integer>> checkIsApplyRefund(@Param("musicGroupIds") List<String> musicGroupIds,
                                                 @Param("userId") Integer userId);
	
}
