package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.SysUserCashAccountDetail;
import com.ym.mec.common.dal.BaseDAO;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface SysUserCashAccountDetailDao extends BaseDAO<Long, SysUserCashAccountDetail> {

    SysUserCashAccountDetail selectDetailByTransNo(String transNo);

    /**
     * @describe 批量插入
     * @author Joburgess
     * @date 2019/11/4
     * @param sysUserCashAccountDetails: 现金账户明细
     * @return int
     */
    int batchInsert(@Param("sysUserCashAccountDetails") List<SysUserCashAccountDetail> sysUserCashAccountDetails);

    Map<String, Object> queryStatistics(@Param("organId") Integer organId);
}
