package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/10/17
 */
public class TeacherClassHeadInfo {

    @ApiModelProperty(value = "主教编号")
    private Long bishopTeacherId;

    @ApiModelProperty(value = "主教名称")
    private String bishopTeacher;

    @ApiModelProperty(value = "助教编号")
    private Long teachingTeacherId;

    @ApiModelProperty(value = "助教名称")
    private String teachingTeacher;

    @ApiModelProperty(value = "班级全部学生名称，vip课用")
    private String studentNames;

    @ApiModelProperty(value = "学生数量", required = false)
    private Integer studentNum;

    @ApiModelProperty(value = "总统课次",required = false)
    private Integer totalClassTimes;

    @ApiModelProperty(value = "当前课次",required = false)
    private Integer currentClassTimes;

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public String getStudentNames() {
        return studentNames;
    }

    public void setStudentNames(String studentNames) {
        this.studentNames = studentNames;
    }

    public Long getBishopTeacherId() {
        return bishopTeacherId;
    }

    public void setBishopTeacherId(Long bishopTeacherId) {
        this.bishopTeacherId = bishopTeacherId;
    }

    public String getBishopTeacher() {
        return bishopTeacher;
    }

    public void setBishopTeacher(String bishopTeacher) {
        this.bishopTeacher = bishopTeacher;
    }

    public Long getTeachingTeacherId() {
        return teachingTeacherId;
    }

    public void setTeachingTeacherId(Long teachingTeacherId) {
        this.teachingTeacherId = teachingTeacherId;
    }

    public String getTeachingTeacher() {
        return teachingTeacher;
    }

    public void setTeachingTeacher(String teachingTeacher) {
        this.teachingTeacher = teachingTeacher;
    }
}
