package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.School;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface SchoolService extends BaseService<Integer, School> {

    /**
     * 根据机构编号获取合作单位列表
     * @param organId
     * @return
     */
    List<School> queryByOrganId(Integer organId);

    /**
     * @describe 获取教师vip课教学点
     * @author Joburgess
     * @date 2019/10/19
     * @param teacherId:
     * @return java.util.List<com.ym.mec.biz.dal.entity.School>
     */
    List<School> findVipSchoolByTeacher(Integer teacherId,Integer isDefault);
}
