package com.ym.mec.biz.service;

import java.math.BigDecimal;

import com.ym.mec.biz.dal.entity.SysUserCashAccount;
import com.ym.mec.common.service.BaseService;

public interface SysUserCashAccountService extends BaseService<Integer, SysUserCashAccount> {

	/**
	 * 更新指定用户的账户余额
	 * @param userId 用户编号
	 * @param decimal 交易金额（支持负数）
	 * @return
	 */
	boolean updateBalance(Integer userId, BigDecimal decimal);
}