package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.VipGroupActivityAddDto;
import com.ym.mec.biz.dal.entity.VipGroupActivity;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface VipGroupActivityService extends BaseService<Integer, VipGroupActivity> {

    /**
     * @Author: Joburgess
     * @Date: 2019/10/1
     * 新增vip课活动方案
     */
    void addVipGroupActivity(VipGroupActivityAddDto vipGroupActivityAddDto);

    /**
     * @Author: Joburgess
     * @Date: 2019/10/1
     * 修改vip课活动方案
     */
    void updateVipGroupActivity(VipGroupActivityAddDto vipGroupActivityAddDto);

    /**
     * @Author: Joburgess
     * @Date: 2019/10/2
     * 根据课程类型获取VIP课相关活动方案
     */
    List<VipGroupActivity> findByVipGroupCategory(Long categoryId);

}