package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.SubjectGoodsMapper;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SubjectGoodsMapperDao extends BaseDAO<Long, SubjectGoodsMapper> {

    /**
     * 批量新增
     * @param goodsCategoryId
     * @param subjectIds
     */
    void batchAdd(@Param("goodsCategoryId") Integer goodsCategoryId, @Param("subjectIds") List<Integer> subjectIds);

    /**
     * 删除科目与商品类型关联
     * @param goodsCategoryId
     */
    void delByGoodsCategoryId(Integer goodsCategoryId);
}