package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.ClassGroup;
import com.ym.mec.biz.dal.entity.VipGroupClassGroupMapper;
import com.ym.mec.common.dal.BaseDAO;

public interface VipGroupClassGroupMapperDao extends BaseDAO<Long, VipGroupClassGroupMapper> {

    /**
     * @Author: Joburgess
     * @Date: 2019/10/2
     * 根据vip课获取对应班级
     */
	VipGroupClassGroupMapper findByVipGroupId(Long vipGroupId);

	/**
	 * @describe 更据vip课获取关联的班级
	 * @author Joburgess
	 * @date 2019/10/20
	 * @param vipGroupId: vip课编号
	 * @return com.ym.mec.biz.dal.entity.ClassGroup
	 */
	ClassGroup findClassGroupByVipGroup(Long vipGroupId);

}