package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.enums.UserGenderEnum;
import com.ym.mec.common.page.QueryInfo;

public class StudentApplyDetailDto{

    @ApiModelProperty(value = "学生报名编号",required = false)
    private Long id;

    @ApiModelProperty(value = "学生姓名",required = false)
    private String studentName;

    @ApiModelProperty(value = "学生编号",required = false)
    private Integer studentId;

    @ApiModelProperty(value = "家长姓名",required = false)
    private String parentsName;

    /** 当前所在年级 */
    @ApiModelProperty(value = "当前所在年级",required = false)
    private String currentGrade;

    /** 当前所在班级 */
    @ApiModelProperty(value = "当前所在班级",required = false)
    private String currentClass;

    @ApiModelProperty(value = "性别",required = false)
    private String gender;

    /** 是否允许调剂 */
    @ApiModelProperty(value = "是否允许调剂",required = false)
    private String isAllowAdjust;

    @ApiModelProperty(value = "报名专业名称",required = false)
    private String subjectName;

    @ApiModelProperty(value = "实际专业名称",required = false)
    private String actualSubjectName;

    @ApiModelProperty(value = "家长电话",required = false)
    private String parentsPhone;

    @ApiModelProperty(value = "学员缴费状态",required = false)
    private String paymentStatus;

    @ApiModelProperty(value = "备注",required = false)
    private String remark;

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getActualSubjectName() {
        return actualSubjectName;
    }

    public void setActualSubjectName(String actualSubjectName) {
        this.actualSubjectName = actualSubjectName;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getParentsName() {
        return parentsName;
    }

    public void setParentsName(String parentsName) {
        this.parentsName = parentsName;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public void setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getParentsPhone() {
        return parentsPhone;
    }

    public void setParentsPhone(String parentsPhone) {
        this.parentsPhone = parentsPhone;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getIsAllowAdjust() {
        return isAllowAdjust;
    }

    public void setIsAllowAdjust(String isAllowAdjust) {
        this.isAllowAdjust = isAllowAdjust;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
