package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/11
 */
public class CourseScheduleQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "部门编号")
    private Long organId;

    @ApiModelProperty(value = "上课日期")
    private Date date;

    @ApiModelProperty(value = "班级编号")
    private Long classGroupId;

    @ApiModelProperty(value = "用户编号")
    private Long userId;

    @ApiModelProperty(value = "是否只查询历史数据")
    private Integer onlyHistory;

    public Integer getOnlyHistory() {
        return onlyHistory;
    }

    public void setOnlyHistory(Integer onlyHistory) {
        this.onlyHistory = onlyHistory;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Long classGroupId) {
        this.classGroupId = classGroupId;
    }

    public Long getOrganId() {
        return organId;
    }

    public void setOrganId(Long organId) {
        this.organId = organId;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }
}
