package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.MusicGroupSubjectGoodsGroup;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface MusicGroupSubjectGoodsGroupService extends BaseService<Long, MusicGroupSubjectGoodsGroup> {

    /**
     * 获取乐团声部对应的商品
     * @param musicGroupId
     * @param subId
     * @return
     */
    List<MusicGroupSubjectGoodsGroup> findGoodsGroup(String musicGroupId, Integer subId);


    /**
     * 根据ids获取打包商品
     *
     * @return
     */
    List<MusicGroupSubjectGoodsGroup> findGoodsGroupByIds(String ids);

}