package com.ym.mec.biz.service;


import com.ym.mec.thirdparty.yqpay.Msg;

import java.math.BigDecimal;
import java.util.Map;

/**
 * 支付服务类
 */

public interface PayService {


    /**
     * 返回订单提交数据
     *
     * @param amount       金额
     * @param orderNo      订单编号
     * @param notifyUrl    异步通知地址
     * @param returnUrl    支付返回地址
     * @param orderSubject 订单标题
     * @param orderBody    订单内容
     * @return
     * @throws Exception
     */
    Map<String,Object> getPayMap(BigDecimal amount, String orderNo, String notifyUrl, String returnUrl, String orderSubject, String orderBody) throws Exception;

    Map query(String orderNo) throws Exception;

}
